Package org.springframework.transaction.annotation

# Class RestrictedTransactionalEventListenerFactory

java.lang.Object
org.springframework.transaction.event.TransactionalEventListenerFactory
org.springframework.transaction.annotation.RestrictedTransactionalEventListenerFactory

All Implemented Interfaces:
  `org.springframework.context.event.EventListenerFactory`, `org.springframework.core.Ordered`

public class RestrictedTransactionalEventListenerFactory extends TransactionalEventListenerFactory
Extension of `TransactionalEventListenerFactory`, detecting invalid transaction configuration for transactional event listeners: `Transactional` only supported with `Propagation.REQUIRES_NEW` and `Propagation.NOT_SUPPORTED`.

Since:
  6.1
Author:
  Juergen Hoeller
See Also:
  - `TransactionalEventListener`
  - `Transactional`

## Field Summary

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Constructor Summary

Constructors
Constructor
Description
`RestrictedTransactionalEventListenerFactory()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.context.ApplicationListener<?>`
`createApplicationListener(String beanName, Class<?> type, Method method)`

### Methods inherited from class org.springframework.transaction.event.TransactionalEventListenerFactory

`getOrder, setOrder, supportsMethod`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RestrictedTransactionalEventListenerFactory

public RestrictedTransactionalEventListenerFactory()

## Method Details

### createApplicationListener

public org.springframework.context.ApplicationListener<?> createApplicationListener(String beanName, Class<?> type, Method method)

Specified by:
  `createApplicationListener` in interface `org.springframework.context.event.EventListenerFactory`
Overrides:
  `createApplicationListener` in class `TransactionalEventListenerFactory`